Subject: RE: [Sip] Unregistering UA

From: [email-masked]
Date: Wed, 5 May 2004 21:52:22 +0530

-----Original Message----- 
	From: [email-masked] on behalf of Martin André 
	Sent: Wed 5/5/2004 7:48 PM 
	To: [email-masked] 
	Cc: 
	Subject: [Sip] Unregistering UA

	Dear all,
	
	My question is about Expires duration and unregistrations. Let us
	imagine a case where the unregistration is not initiated by the client
	(is this allowed ?). Are there any mean to notify the UA that its
	registration has been removed ? As far as I understood RFC3261, the
	Registrar doesn't generate SIP requests by its own.

	[ABN] Registrar is not required to send the deregistration request. It will just remore the registration entry in its database for that particular contact address after the specified time elapsed. sending deregistration request applicable only for the client not the registrar. 

	So, is it possible to lower registration duration just like it is
	possible with subscription duration ? This way, we could shorten
	registration duration (during registration process or with proxy
	intervention) and wait until it expires.

	[ABN] client can send an additional registration request with the reduced Expires value...

	I didn't see anything about control on Expires duration. Did I miss
	something ?
	
	Thanks in advance for your clarifications,
	
	Martin

	_______________________________________________
	Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
	This list is for NEW development of the core SIP Protocol
	Use [email-masked] for questions on current sip
	Use [email-masked] for new developments on the application of sip